Bug 106232 - [PATCH] Add SDL sound support to games/freeciv*
Summary: [PATCH] Add SDL sound support to games/freeciv*
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Andrew Pantyukhin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-12-02 21:00 UTC by freebsd
Modified: 2007-07-28 17:10 UTC (History)
0 users

See Also:


Attachments
file.diff (3.74 KB, patch)
2006-12-02 21:00 UTC, freebsd
no flags Details | Diff
patch-2.diff (3.74 KB, patch)
2007-05-27 03:44 UTC, freebsd
no flags Details | Diff
patch-2.diff (3.74 KB, patch)
2007-05-27 03:41 UTC, freebsd
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description freebsd 2006-12-02 21:00:18 UTC
Although freeciv is able to play sounds, the FreeBSD port does not enable this functionality. The following patch adds optional sound support and also installs the default sound theme (the only one available on the freeciv site).

Caveats:

* Freeciv supports both SDL and esound. Since I do not have esound installed and have no interest in it, this patch adds SDL support only. However, esound should be trivial to add as the sound theme installation code should work for it as well.

* This patch has only seen limited testing on a single 6.2-PRERELEASE i386 machine. Unfortunately, I do not have access to any other releases or architectures for testing purposes.

* There appears to be no information on the freeciv site regarding the licensing of the default sound theme. Before integrating this patch, the maintainer may want to contact the freeciv developers and clarify the licensing terms.
Comment 1 Edwin Groothuis freebsd_committer 2006-12-02 21:00:37 UTC
Responsible Changed
From-To: freebsd-ports-bugs->infofarmer

Over to maintainer
Comment 2 freebsd 2007-05-27 03:41:42 UTC
Attached is an updated patch against the current version of the port.

This pr has been in limbo for half a year now and I would appreciate a 
quick feedback whether this patch is unwanted (so I can stop maintaining 
it out of tree) or if it's simply been forgotten.
Comment 3 freebsd 2007-05-27 03:44:25 UTC
Attached is an updated patch against the current version of the port.

This pr has been in limbo for half a year now and I would appreciate a
quick feedback whether this patch is unwanted (so I can stop maintaining
it out of tree) or if it's simply been forgotten.
Comment 4 Andrew Pantyukhin freebsd_committer 2007-05-27 08:14:36 UTC
On 5/27/07, Bartosz Fabianowski <freebsd@chillt.de> wrote:
>Attached is an updated patch against the current version of the port.
>
>This pr has been in limbo for half a year now and I would appreciate a
>quick feedback whether this patch is unwanted (so I can stop maintaining
>it out of tree) or if it's simply been forgotten.

Your work is much appreciated. I think making it a separate
freeciv-sounds port would be a bit cleaner, I can work it
out.

Could you please check for any licensing issues yourself?

Sorry for the long wait.

Thanks!
Comment 5 freebsd 2007-05-27 15:45:19 UTC
I just received the following reply from a Freeciv developer:

> Hello!
> 
> Thank you for your interest. The licensing conditions of each file can
> be found in the file "stdsounds.soundspec". Quote this file:
> 
> artists = "\
> OpenQuartz - Ali Jackson (alister667@hotmail.com) [ali]\
> OpenQuartz - Frank Condello (pox@planetquake.com) [pox]\
> Warzone - Eidos Entertainment (GPL release) [warzone]"
> 
> These are all supposedly released as GPL. However, there is some
> lingering uncertainty hanging by both sources. I heard there were some
> sounds that were pulled from OpenQuartz because they originated in
> Quake, but I have not had time to investigate whether this impacts us
> in any way. It should be solvable by simply fetching the relevant
> sounds from a newer OpenQuartz snapshot. The licensing situation for
> the Warzone data remains unclear , and may remain so possibly forever.
> 
> Quote Warzone's COPYING.README:
> 
> "Concerning the license on the original data files: (basically
> everything in data/)
> 
> The literal meaning of the release statement is ambiguous in the case
> of the original data that is included in the released package. Despite
> several attempts to get a clarification, we have received no response.
> 
> We have chosen to interpret the original release statement as putting
> the original data under a GPL license. Since in the absence of a
> license the released data could not be distributed, we find that
> interpreting the license for the data as being under the same license
> as the source to be the best interpretation to fit the intention
> behind the release."
> 
>  - Per

While the files are likely to be OK for redistribution, I would still 
flag the package as RESTRICTED just to make sure.
Comment 6 dfilter service freebsd_committer 2007-07-28 17:00:41 UTC
sat         2007-07-28 16:00:36 UTC

  FreeBSD ports repository

  Modified files:
    .                    MOVED 
    games                Makefile 
    games/freeciv        Makefile distinfo pkg-plist 
  Added files:
    games/freeciv-sounds Makefile distinfo pkg-descr pkg-plist 
  Removed files:
    games/freeciv/files  patch-common__packets.c 
                         patch-server__unithand.c 
    games/freeciv-gtk    Makefile 
    games/freeciv-gtk2   Makefile 
  Log:
  - Update to 2.0.9
  - Drop support for xaw and gtk1
  - Remove -gtk and -gtk2 slave ports
  - Add freeciv-sounds - the standard sound set [1]
  
  PR:             ports/106232 (based on) [1]
  Submitted by:   Bartosz Fabianowski <freebsd@chillt.de> [1]
  
  Revision  Changes    Path
  1.1435    +3 -1      ports/MOVED
  1.1123    +1 -2      ports/games/Makefile
  1.10      +0 -11     ports/games/freeciv-gtk/Makefile (dead)
  1.59      +0 -11     ports/games/freeciv-gtk2/Makefile (dead)
  1.1       +24 -0     ports/games/freeciv-sounds/Makefile (new)
  1.1       +3 -0      ports/games/freeciv-sounds/distinfo (new)
  1.1       +3 -0      ports/games/freeciv-sounds/pkg-descr (new)
  1.1       +19 -0     ports/games/freeciv-sounds/pkg-plist (new)
  1.82      +21 -60    ports/games/freeciv/Makefile
  1.30      +3 -3      ports/games/freeciv/distinfo
  1.2       +0 -10     ports/games/freeciv/files/patch-common__packets.c (dead)
  1.2       +0 -12     ports/games/freeciv/files/patch-server__unithand.c (dead)
  1.29      +5 -2      ports/games/freeciv/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 sat freebsd_committer 2007-07-28 17:02:06 UTC
State Changed
From-To: open->closed

Committed as games/freeciv-sounds. Thanks for your work and 
patience!